Package org.apache.ignite.cache.jta.websphere

## Class WebSphereTmFactory

- java.lang.Object
- - org.apache.ignite.cache.jta.websphere.WebSphereTmFactory

- All Implemented Interfaces:
    `Serializable`, `javax.cache.configuration.Factory<javax.transaction.TransactionManager>`

      public class WebSphereTmFactory
      extends Object
      implements javax.cache.configuration.Factory<javax.transaction.TransactionManager>

  Implementation of Transaction Manager factory that should used within WebSphere Application Server ("full profile" / "traditional" WS AS).

  Notes:

  - `WebSphereLibertyTmFactory` should be used within WebSphere Liberty.
  - The implementation has been tested with WebSphere Application Server 8.5.5.

  ## Java Configuration

       IgniteConfiguration cfg = new IgniteConfiguration();

       TransactionConfiguration txCfg = new TransactionConfiguration();

       txCfg.setTxManagerFactory(new WebSphereTmFactory());

       cfg.setTransactionConfiguration(new txCfg);

  ## Spring Configuration

       <bean id="ignite.cfg" class="org.apache.ignite.configuration.IgniteConfiguration">
               ...
               <property name="transactionConfiguration">
                   <bean class="org.apache.ignite.cache.jta.websphere.WebSphereTmFactory"/>
               </property>
               ...
       </bean>

  For information about Spring framework visit www.springframework.org*

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WebSphereTmFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.transaction.TransactionManager` | `create()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebSphereTmFactory

          public WebSphereTmFactory()

  - ### Method Detail

    - #### create

          public javax.transaction.TransactionManager create()

      Specified by:
        `create` in interface `javax.cache.configuration.Factory<javax.transaction.TransactionManager>`